<script lang="ts">
  export let showReadme: boolean;
  export let showDetails: boolean;
  export let showPublications: boolean;
  export let showORKG: boolean;

  let toggleReadme = () => (showReadme = !showReadme);
  let toggleDetails = () => (showDetails = !showDetails);
  let togglePublications = () => (showPublications = !showPublications);
  let toogleORKG = () => (showORKG = !showORKG);
</script>

<div class="flex justify-center w-full h-full">
  <div class="flex justify-center w-full h-full">
    <button
      data-test="btn-showreadme"
      class="{showReadme
        ? 'animate-bounce'
        : ''} mt-16 ml-16 mr-16 mb-8 w-40 btn px-6 py-2.5 bg-blue-600 text-white font-medium text-xs leading-tight uppercase rounded shadow-md hover:bg-blue-700 hover:shadow-lg focus:bg-blue-700 focus:shadow-lg focus:outline-none focus:ring-0 active:bg-blue-800 active:shadow-lg transition duration-150 ease-in-out flex justify-center"
      on:click={toggleReadme}>{showReadme ? "Hide" : "Show"} Readme</button
    >
    <button
      data-test="btn-showdetails"
      class="{showDetails
        ? 'animate-bounce'
        : ''} mt-16 ml-16 mr-16 mb-8 w-40 btn px-6 py-2.5 bg-blue-600 text-white font-medium text-xs leading-tight uppercase rounded shadow-md hover:bg-blue-700 hover:shadow-lg focus:bg-blue-700 focus:shadow-lg focus:outline-none focus:ring-0 active:bg-blue-800 active:shadow-lg transition duration-150 ease-in-out flex justify-center"
      on:click={toggleDetails}>{showDetails ? "Hide" : "Show"} Details</button
    >
    <button
      data-test="btn-showpublications"
      class="{showPublications
        ? 'animate-bounce'
        : ''} mt-16 ml-16 mr-16 mb-8 w-40 btn px-6 py-2.5 bg-blue-600 text-white font-medium text-xs leading-tight uppercase rounded shadow-md hover:bg-blue-700 hover:shadow-lg focus:bg-blue-700 focus:shadow-lg focus:outline-none focus:ring-0 active:bg-blue-800 active:shadow-lg transition duration-150 ease-in-out flex justify-center"
      on:click={togglePublications}
      >{showPublications ? "Hide" : "Show"} Publications</button
    >
    <button
      data-test="btn-showorkg"
      class="mt-16 ml-16 mr-16 mb-8 w-40 btn px-6 py-2.5 bg-orange-500 text-white font-medium text-xs leading-tight uppercase rounded shadow-md hover:bg-orange-600 hover:shadow-lg focus:bg-orange-600 focus:shadow-lg focus:outline-none focus:ring-0 active:bg-orange-700 active:shadow-lg transition duration-150 ease-in-out flex justify-center"
      on:click={toogleORKG}
      >{showORKG ? "Close" : "Submit to ORKG"}
    </button>
  </div>
</div>
